Subscribe multiple email addresses to a v3 status page.
curl --request POST \
--url https://api.checklyhq.com/v3/status-pages/{statusPageId}/subscribers/bulk \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"subscriptions": [
{
"type": "EMAIL",
"config": {
"address": "<string>",
"subscribedComponents": [
"<string>"
]
}
}
],
"autoVerify": false
}
'import requests
url = "https://api.checklyhq.com/v3/status-pages/{statusPageId}/subscribers/bulk"
payload = {
"subscriptions": [
{
"type": "EMAIL",
"config": {
"address": "<string>",
"subscribedComponents": ["<string>"]
}
}
],
"autoVerify": False
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
subscriptions: [
{
type: 'EMAIL',
config: {address: '<string>', subscribedComponents: ['<string>']}
}
],
autoVerify: false
})
};
fetch('https://api.checklyhq.com/v3/status-pages/{statusPageId}/subscribers/bulk', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"created": 123,
"skipped": 123,
"status": "PENDING"
}{
"statusCode": 401,
"error": "Unauthorized",
"message": "Bad Token",
"attributes": {}
}{
"statusCode": 403,
"error": "Forbidden",
"message": "Forbidden"
}{
"statusCode": 404,
"error": "Not Found",
"message": "Not Found"
}{
"statusCode": 429,
"error": "Too Many Requests",
"message": "Too Many Requests",
"attributes": {}
}Status Page Subscribers
Subscribe multiple email addresses to a v3 status page.
Subscribe up to 100 email addresses at once. Each subscriber can be limited to specific components via config.subscribedComponents; addresses already subscribed are skipped.
POST
/
v3
/
status-pages
/
{statusPageId}
/
subscribers
/
bulk
Subscribe multiple email addresses to a v3 status page.
Authorizations
The Checkly Public API uses API keys to authenticate requests. You can get the API Key here. Your API key is like a password: keep it secure!
Authentication to the API is performed using the Bearer auth method in the Authorization header and using the account ID.
For example, set Authorization header while using cURL: curl -H "Authorization: Bearer [apiKey]" "X-Checkly-Account: [accountId]"
Headers
Your Checkly account ID, you can find it at https://app.checklyhq.com/settings/account/general
Path Parameters
Body
application/json
Was this page helpful?